Subject: Re: bug#25408: Remove Decorations Around Emacs Frame (NS port)

From: martin rudalics <[email-masked]>
Date: Wed, 19 Apr 2017 20:07:05 +0200

>> I just tried to type something and when I reached the
 >> right edge of the window I got an abort as
 >>
 >> 2017-04-19 17:36:59.480 emacs[4423] Problem posting notification: <NSException: 0x4167070>
 >> NAME:NSInvalidArgumentException REASON:-[EmacsImage XBM:width:height:fg:bg:]: unrecognized selector sent to instance
 >> 0x3e0bf40 INFO:(null)
 >> /home/martin/emacs-git/trunk/obj-ns/src/emacs: Uncaught exception NSInvalidArgumentException, reason: -[EmacsImage
 >> XBM:width:height:fg:bg:]: unrecognized selector sent to instance 0x3ec20a0
 >
 > That was my fault. I think I mashed the keys in the wrong place and
 > deleted something without realising. I’ve pushed another commit to fix
 > it.

Ahh.. it was you.  Anyway, works now.  And frame restacking works well
too.

There's only one incredible hassle at the moment which must have started
somewhere in 2015.  Whenever I mouse scroll a window the menu redraws
itself so it flickers continuously.

 > Oh, I just remembered I’ve not yet done frame-list-z-order. It should
 > be easy enough, NSApplication has an orderedWindows function which, I
 > think, should return an ordered array of NSWindow objects.

Please do that.

 > Should I look into no-focus-on-map and no-accept-focus too?

That would be fine.  There's also the 'skip-taskbar' parameter but I
have no idea whether NS allows that and whether NS provides Alt-tabbing.

And please have a look into the Elisp manual: Maybe you find something
worth mentioning (the fact that removing decorations removes the tool
bar should certainly go there).

martin